// 密集架
import server from '@/utils/request'
import { MJGItem } from '@/views/device-manager/mjg/typings'
/**
 * 查询行政区域
 */
export const queryMJG = (params?: Record<string, any>) => server.post<MJGItem>('/aw/base/intensive-frame/_query', params)

/**
 * 保存树形数据
 */
 export const saveMJG = (data: any) =>server.post('/aw/base/intensive-frame', data)
 
 /**
  * 根据Id修改
  */
 export const updateMJG = (id:string,data: any,) => server.put(`/aw/base/intensive-frame/${id}`, data)

 /**
  * 根据Id删除数据
  */
 export const deleteMJG = (id:string) => server.remove(`/aw/base/intensive-frame/${id}`)